# Uses of Class
org.apache.lucene.util.fst.PairOutputs.Pair

Packages that use PairOutputs.Pair
Package
Description
org.apache.lucene.util.fst
Finite state transducers

- ## Uses of PairOutputs.Pair in org.apache.lucene.util.fst

  Methods in org.apache.lucene.util.fst that return PairOutputs.Pair
  Modifier and Type
  Method
  Description
  `PairOutputs.Pair<A,B>`
  PairOutputs.`add(PairOutputs.Pair<A,B> prefix, PairOutputs.Pair<A,B> output)`
  `PairOutputs.Pair<A,B>`
  PairOutputs.`common(PairOutputs.Pair<A,B> pair1, PairOutputs.Pair<A,B> pair2)`
  `PairOutputs.Pair<A,B>`
  PairOutputs.`getNoOutput()`
  `PairOutputs.Pair<A,B>`
  PairOutputs.`newPair(A a, B b)`
  Create a new Pair
  `PairOutputs.Pair<A,B>`
  PairOutputs.`read(DataInput in)`
  `PairOutputs.Pair<A,B>`
  PairOutputs.`subtract(PairOutputs.Pair<A,B> output, PairOutputs.Pair<A,B> inc)`
  Methods in org.apache.lucene.util.fst with parameters of type PairOutputs.Pair
  Modifier and Type
  Method
  Description
  `PairOutputs.Pair<A,B>`
  PairOutputs.`add(PairOutputs.Pair<A,B> prefix, PairOutputs.Pair<A,B> output)`
  `PairOutputs.Pair<A,B>`
  PairOutputs.`common(PairOutputs.Pair<A,B> pair1, PairOutputs.Pair<A,B> pair2)`
  `String`
  PairOutputs.`outputToString(PairOutputs.Pair<A,B> output)`
  `long`
  PairOutputs.`ramBytesUsed(PairOutputs.Pair<A,B> output)`
  `PairOutputs.Pair<A,B>`
  PairOutputs.`subtract(PairOutputs.Pair<A,B> output, PairOutputs.Pair<A,B> inc)`
  `void`
  PairOutputs.`write(PairOutputs.Pair<A,B> output, DataOutput writer)`